LINUX.ORG.RU

Как запретить установку дополнительного пакета при обновлении?

 , , ,


0

2

FreeBSD bsd 13.0-CURRENT из портов установлен nvidia-driver-340 и его обновление заблокировано

# pkg lock nvidia-driver-340

после очередного среза система при обновлении стала требовать установить nvidia-driver-390, но он не подходит для видео карты, я пробовал из портов не взлетело. Все дело в том что команда lock распространяется только на установленые пакеты, а как запретить установку ранее не установленого пакета, что бы его не устанавливало при обновлении или все прибито гвоздями и придется видеокарту посвежее искать которая в 390-ый драйвер умеет? Призываю ведущего фряховода сайта @mord0d для оказания консультации!

★★★★

Призываю ведущего фряховода сайта mord0d для оказания консультации!

А как же @iZEN?

после очередного среза система при обновлении стала требовать установить nvidia-driver-390

Для этого в make.conf должен быть какой-то свитч, но у меня нет видеокарты, потому не подскажу. Хотя может и пакет какой жёстко требует, можешь глянуть через pkg rquery '%do' nvidia-driver-390 и поковырять мейкфайлы этих портов на предмет.

---

CURRENT

Вот зачем? Тебе так нужен дебаг на десктопе?

Если так нужен свежак, бери пример с @iZEN, юзай STABLE ("обновиться" с CURRENT не получится, придётся переустанавливать, но это делается очень быстро, дольше конфиги раскатывать).

Я консервативен, у меня везде RELEASE. А ещё я не ставлю из портов напрямую (и не в последнюю очередь потому что у меня не одна машина на фре), для этого есть poudriere.

mord0d ★★★★★ ()
Ответ на: комментарий от mord0d

Вот зачем?

ради спортивного интереса - arch с тестовой репой, current и sid… c arch и sid проблем нет еду годами еще со времен jessie, а на current в этом году подсел для разнообразия… проблема кстати разрешиласть сама собой - подумал будь что будет и обновил с установкой 390-го драйвера, но при установке драйвера вылезла ошибка - установка невозможна, а все остальное обновилось на ура и про драйвер пока не напоминает…

не ставлю из портов

дело в том что говно мамонта gt210 завелась только на 340-ом драйвере из портов, а из репы вообще ничего не взлетело, более того если прозевать то 340-ой может сам через репу обновиться и положить систему намертво, после перезагрузки kernel panic - не понимаю почему, в линуксах как правило при кривом видеодрайвере сама система остается доступна и есть место для маневра, что бы графику восстановить…

amd_amd ★★★★ ()

Ты даже не написал как обновлялся и в чём заключалось «стала требовать». Что ещё за срез?

slovazap ★★★★★ ()
Ответ на: комментарий от amd_amd

arch с тестовой репой, current и sid

Ты путаешь два роллинга и ветку для разработчиков. CURRENT в принципе не предназначен для повседневного юзания, в нём собрано с дебагом всё что только можно собрать с дебагом.

а из репы

Я вообще отключил официальный репозиторий FreeBSD, всё собираю из портов с помощью poudriere, оно сервит репозиторий по локальной сети, машины обновляются только с него.

про драйвер пока не напоминает

Рано или поздно к этому вопросу всё равно придётся вернуться. Ну и да, желательно отрепортить в багзиллу, если и не баг логики, то там наверняка объяснят что с этим делать.

сам через репу обновиться и положить систему намертво, после перезагрузки kernel panic

У меня при попытке сделать бэкап диры tar’ом перейдя в неё по симлинку ядро роняло, а ты жалуешься что у тебя драйвер его роняет… ☺

mord0d ★★★★★ ()
Ограничение на отправку комментариев: только для зарегистрированных пользователей